Skip to content

Douyin Xingtu APIs - KOL Keyword Search (V1)

prod-global
GET
/api/douyin-xingtu/search-kol-simple/v1

Simple keyword-based KOL search.

Parameters

NameInTypeRequiredDescription
tokenquerystringYesUser authentication token.
keywordquerystringYesSearch keywords.
platformSourcequerystringYesPlatform source.

Available Values:
- _1: Douyin
- _2: Toutiao
- _3: Xigua
pagequeryintegerYesPage number.
acceptCachequerybooleanNoEnable cache.

Code Samples

💡 Environment Note

Default samples use https://api.justoneapi.com (prod-global). For users in Mainland China, it is recommended to replace it with http://47.117.133.51:30015 (prod-cn) for better performance. See Environment Guide.

bash
# Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
curl -X GET "https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1?token=YOUR_API_KEY&keyword=VALUE&platformSource=VALUE&page=0"
text
I want to use the "KOL Keyword Search (V1)" API from Just One API.
API Endpoint: https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1
HTTP Method: GET
Authentication: Append "?token=YOUR_API_KEY" to the URL.
OpenAPI Definition: https://docs.justoneapi.com/openapi/douyin-xingtu-apis/kol-keyword-search-v1-en.json

Parameters:
- token (query): User authentication token. (Required)
- keyword (query): Search keywords. (Required)
- platformSource (query): Platform source.

Available Values:
- `_1`: Douyin
- `_2`: Toutiao
- `_3`: Xigua (Required)
- page (query): Page number. (Required)
- acceptCache (query): Enable cache.

Return format: JSON

Response Handling & Error Codes:
1. Business results should be determined by the "code" field in the response body (code 0 means success).
2. Timeout Recommendation: Set request timeout to at least 60 seconds.
3. Business Code Reference:
   - 0: Success
   - 100: Invalid or Inactive Token
   - 301: Collection Failed. Please Retry.
   - 302: Rate Limit Exceeded
   - 303: Daily Quota Exceeded
   - 400: Invalid Parameters
   - 500: Internal Server Error
   - 600: Permission Denied
   - 601: Insufficient Balance

Please help me write a script in my preferred programming language to call this API and handle the response.
python
# Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
import requests

url = "https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1?token=YOUR_API_KEY&keyword=VALUE&platformSource=VALUE&page=0"
response = requests.get(url)
print(response.json())
js
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
const response = await fetch("https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1?token=YOUR_API_KEY&keyword=VALUE&platformSource=VALUE&page=0", {
  method: "GET"
});
const data = await response.json();
console.log(data);
java
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
import java.net.URI;
import java.net.http.HttpClient;
import java.net.http.HttpRequest;
import java.net.http.HttpResponse;

public class Main {
    public static void main(String[] args) throws Exception {
        HttpClient client = HttpClient.newHttpClient();
        HttpRequest request = HttpRequest.newBuilder()
            .uri(URI.create("https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1?token=YOUR_API_KEY&keyword=VALUE&platformSource=VALUE&page=0"))
            .method("GET", HttpRequest.BodyPublishers.noBody())
            .build();

        HttpResponse<String> response = client.send(request, HttpResponse.BodyHandlers.ofString());
        System.out.println(response.body());
    }
}
go
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
package main

import (
	"fmt"
	"io"
	"net/http"
)

func main() {
	client := &http.Client{}
	url := "https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1?token=YOUR_API_KEY&keyword=VALUE&platformSource=VALUE&page=0"
	req, _ := http.NewRequest("GET", url, nil)
	resp, _ := client.Do(req)
	defer resp.Body.Close()
	body, _ := io.ReadAll(resp.Body)
	fmt.Println(string(body))
}
php
// Tip: For Mainland China, replace https://api.justoneapi.com with http://47.117.133.51:30015
<?php
$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, "https://api.justoneapi.com/api/douyin-xingtu/search-kol-simple/v1?token=YOUR_API_KEY&keyword=VALUE&platformSource=VALUE&page=0");
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
$response = curl_exec($ch);
curl_close($ch);
echo $response;

Responses

json
{
  "code": 0,
  "data": {
    "authors": [
      {
        "attribute_datas": {
          "assign_cpm_suggest_price": "97",
          "author_avatar_frame_icon": "0",
          "author_ecom_level": "L1",
          "author_level_game": "Lv1",
          "author_level_other": "Lv1",
          "author_status": "1",
          "author_thin_mid_word_association_index": "{\"清爽\":0.001,\"美白\":0,\"胶原成分\":0,\"防晒\":0}",
          "author_type": "3",
          "avatar_uri": "https://p11.douyinpic.com/aweme/1080x1080/aweme-avatar/tos-cn-avt-0015_b599131429f4663d0aefe659daad0...",
          "brand_boost_vv": "52097",
          "city": "杭州市",
          "content_theme_labels_180d": "[\"个人成长\",\"保暖穿搭\",\"零食测评\",\"消费体验\",\"羽绒服穿搭\",\"口红测评\",\"健康养生\",\"秋冬穿搭\",\"护发技巧\",\"体重管理\"]",
          "core_user_id": "93237932151",
          "e_commerce_enable": "1",
          "ecom_avg_order_value_30d_range": "50-200",
          "ecom_gmv_30d_range": "1k-3w",
          "ecom_gpm_30d_range": "<=80",
          "ecom_score": "82",
          "ecom_video_ctr_30d_range": "8%-10%",
          "ecom_video_mid_click_pv_30d_range": "500以下",
          "ecom_video_product_num_30d": "4",
          "enroll_task_price_list": "[15000]",
          "expected_cpa3_level": "4",
          "expected_natural_play_num": "11360",
          "expected_play_num": "15219",
          "fans_increment_rate_within_15d": "-0.0025303994312070445",
          "fans_increment_within_15d": "-694",
          "fans_increment_within_30d": "-1533",
          "follower": "273517",
          "game_type": "",
          "gender": "2",
          "grade": "0",
          "id": "6978702114235088932",
          "interact_rate_within_30d": "0.0286",
          "interaction_median_30d": "256",
          "is_ad_star_cur_high_quality_author": "0",
          "is_black_horse_author": "false",
          "is_cocreate_author": "false",
          "is_cpm_project_author": "0",
          "is_excellenct_author": "0",
          "is_short_drama": "0",
          "last_10_items": "[{\"comment_cnt\":\"31\",\"is_high_quality_item\":\"0\",\"item_create_time\":\"1772459830\",\"item_id\":\"761265693...",
          "link_convert_index": "77.48",
          "link_convert_index_by_industry": "77.48",
          "link_i_cnt_by_industry": "101664",
          "link_k_cnt_by_industry": "131",
          "link_l_cnt_by_industry": "303648",
          "link_link_cnt_by_industry": "497272",
          "link_n_cnt_by_industry": "91829",
          "link_recommend_index_by_industry": "60.63",
          "link_shopping_index": "60.63",
          "link_spread_index": "63.3",
          "link_spread_index_by_industry": "63.3",
          "link_star_index": "70.24",
          "link_star_index_by_industry": "70.24",
          "link_user_type_by_industry": "2",
          "local_lower_threshold_author": "false",
          "nick_name": "中年美妆博母杨光",
          "pic_expected_play_num": "0",
          "play_over_rate_within_30d": "0.0641",
          "price_1_20": "24000",
          "price_20_60": "27000",
          "price_60": "28000",
          "promotion_prospective_1_20_cpm": "1764.19",
          "promotion_prospective_20_60_cpm": "1984.71",
          "promotion_prospective_60_cpm": "2058.22",
          "promotion_prospective_vv": "13604",
          "prospective_1_20_cpm": "1576.9761",
          "prospective_20_60_cpm": "1774.0982",
          "prospective_60_cpm": "1839.8055",
          "province": "浙江省",
          "search_after_view_index_by_industry": "87.06",
          "sn_expected_play_num": "15219",
          "sn_interact_rate_within_30d": "0.0286",
          "sn_play_over_rate_within_30d": "0.0641",
          "sn_prospective_1_20_cpe": "78.6885",
          "sn_prospective_1_20_cpm": "1576.9761",
          "sn_prospective_20_60_cpe": "88.5246",
          "sn_prospective_20_60_cpm": "1774.0982",
          "sn_prospective_60_cpe": "91.8033",
          "sn_prospective_60_cpm": "1839.8055",
          "star_ecom_video_num_30d": "0",
          "star_excellent_author": "0",
          "star_index": "81.2509603142163",
          "star_qianchuan_high_potential": "0",
          "star_whispers_author": "0",
          "tags_relation": "{\"时尚\":[\"穿搭\"]}",
          "video_brand_boost": "true",
          "video_brand_boost_vv": "52097",
          "vv_median_30d": "13379"
        },
        "extra_data": {
          "content_query_from_word": "",
          "content_query_score": 0,
          "debug_info": "",
          "demander_behavior": {
            "added_author_list": false,
            "cooperated": false,
            "viewd_author_page": false
          },
          "recall_from": [
            "1_0"
          ],
          "recall_return_infos": {},
          "recommend_types": []
        },
        "items": [
          {
            "item_id": "7580711922930502073",
            "video_tag": 3,
            "vv": 3224450
          }
        ],
        "star_id": "6978702114235088932",
        "task_infos": [
          {
            "online_status": 1,
            "platform_source": 1,
            "price_infos": [
              {
                "end_time": "2145916800",
                "platform_source": 1,
                "price": 15000,
                "price_extra_info": {},
                "start_time": "1682870400",
                "task_category": 1,
                "video_type": 73,
                "video_type_status": 1
              }
            ],
            "task_category": 1,
            "task_status": 1
          }
        ]
      }
    ],
    "base_resp": {
      "status_code": 0,
      "status_message": ""
    },
    "extra_data": {
      "is_cpm_project_search": false,
      "search_author_count": 0,
      "search_item_count": 0,
      "search_session_id": "7615253138564218918"
    },
    "pagination": {
      "has_more": true,
      "limit": 20,
      "page": 1,
      "total_count": 4385
    }
  }
}

💡 Note: For list data, the example shows only 1-2 items for simplicity. The actual count depends on the API response.